
package ibcontroller;

import java.awt.Window;
import javax.swing.JDialog;

class BlindTradingWarningDialogHandler implements WindowHandler {
    public void handleWindow(Window window, int eventID) {
        if (! Settings.getBoolean("AllowBlindTrading", false)) return;

        if (! Utils.clickButton(window, "Yes")) {
            System.err.println("IBController: could not dismiss blind trading warning dialog.");
        }
    }

    public boolean recogniseWindow(Window window) {
        if (! (window instanceof JDialog)) return false;
        return (Utils.findLabel(window, "blind trading") != null &&
                Utils.findLabel(window, "Are you sure you want to submit this order?") != null);
    }

}
