package ibcontroller;

import java.awt.Window;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;

class GatewayMainWindowFrameHandler  implements WindowHandler {
    public void handleWindow(Window window, int eventID) {
        if (eventID != WindowEvent.WINDOW_OPENED) return;

        TwsListener.setMainWindow((JFrame) window);
        if (Settings.getBoolean("MinimizeMainWindow", false)) {
            TwsListener.getMainWindow().setExtendedState(java.awt.Frame.ICONIFIED);
        }
    }

    public boolean recogniseWindow(Window window) {
        if (! (window instanceof JFrame)) return false;

        return (((JFrame) window).getTitle().contains("Interactive Brokers Gateway") ||
                ((JFrame) window).getTitle().contains("IB Gateway"));
    }

}
