package ibcontroller;

import java.util.concurrent.Executor;
import javax.swing.SwingUtilities;

class GuiExecutor implements Executor {
    public void execute(Runnable task) {
        if (SwingUtilities.isEventDispatchThread()) {
            task.run();
        } else {
            SwingUtilities.invokeLater(task);
        }
    }
}
