package ibcontroller;

import java.awt.Window;
import javax.swing.JFrame;

public class PasswordExpiryWarningFrameHandler  implements WindowHandler {
    public void handleWindow(Window window, int eventID) {
        if (! Settings.getBoolean("DismissPasswordExpiryWarning", false)) return;
        if (! Utils.clickButton(window, "OK")) {
            System.err.println("IBController: could not dismiss Password Expiry Warning because we could not find one of the controls.");
        }
    }

    public boolean recogniseWindow(Window window) {
        if (! (window instanceof JFrame)) return false;

        String title = ((JFrame) window).getTitle();
        return (title != null && title.contains("Password Notice"));
    }
}
