package ibcontroller;

import java.util.concurrent.Executor;
import javax.swing.SwingUtilities;

class GuiSynchronousExecutor implements Executor{
    public void execute(Runnable task) {
        if (SwingUtilities.isEventDispatchThread()) {
            task.run();
        } else {
            try {
                SwingUtilities.invokeAndWait(task);
            } catch (Exception ex){

            }
        }
    }
}
