package ibcontroller;

import java.awt.Window;
import javax.swing.JFrame;

public class NSEComplianceFrameHandler  implements WindowHandler {
    public void handleWindow(Window window, int eventID) {
        if (! Settings.getBoolean("DismissNSEComplianceNotice", true)) return;
        window.setVisible(false);
        window.dispose();
        Utils.logToConsole("NSE Compliance Dialog disposed");
    }

    public boolean recogniseWindow(Window window) {
        if (! (window instanceof JFrame)) return false;

        String title = ((JFrame) window).getTitle();
        return (title != null && title.contains("NSE Compliance"));
    }
}
