
package ibcontroller;

import java.awt.Window;
import javax.swing.JDialog;

class TipOfTheDayDialogHandler implements WindowHandler {
    public void handleWindow(Window window, int eventID) {
        if (! Utils.clickButton(window, "Close")) {
            System.err.println("IBController: could not dismiss Tip of the Day because we could not find one of the controls.");
        }
    }

    public boolean recogniseWindow(Window window) {
        if (! (window instanceof JDialog)) return false;

        String title = ((JDialog) window).getTitle();
        return (title != null && title.contains("Tip of the Day"));
    }
}
